> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenID Connect-discoverymetadata ophalen

> Ontdek de identiteitseindpunten, ondersteunde scopes, claims en het ondertekeningsalgoritme voor ID-tokens van deze omgeving.

Ontdek de identiteitseindpunten, ondersteunde scopes, claims en het ondertekeningsalgoritme voor ID-tokens van deze omgeving.

```http theme={null}
GET https://api.voicecheap.ai/.well-known/openid-configuration
```

## Authenticatie

Geen.

## Voorbeeldaanvragen

Volg de gedocumenteerde codering en authenticatie voor deze route. De antwoordstructuur en idempotentieregels van de actie-API gelden alleen voor actieaanroepen.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/.well-known/openid-configuration",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## Antwoord

Ontdek de identiteitseindpunten, ondersteunde scopes, claims en het ondertekeningsalgoritme voor ID-tokens van deze omgeving.

```json HTTP 200 theme={null}
{
  "issuer": "https://api.voicecheap.ai",
  "authorization_endpoint": "https://api.voicecheap.ai/oauth/authorize",
  "token_endpoint": "https://api.voicecheap.ai/oauth/token",
  "registration_endpoint": "https://api.voicecheap.ai/oauth/register",
  "revocation_endpoint": "https://api.voicecheap.ai/oauth/revoke",
  "userinfo_endpoint": "https://api.voicecheap.ai/oauth/userinfo",
  "jwks_uri": "https://api.voicecheap.ai/oauth/jwks",
  "response_types_supported": ["code"],
  "response_modes_supported": ["query"],
  "grant_types_supported": ["authorization_code", "refresh_token"],
  "subject_types_supported": ["public"],
  "id_token_signing_alg_values_supported": ["RS256"],
  "token_endpoint_auth_methods_supported": ["none"],
  "code_challenge_methods_supported": ["S256"],
  "scopes_supported": [
    "account:read",
    "usage:read",
    "settings:read",
    "settings:write",
    "team:read",
    "team:write",
    "projects:read",
    "projects:write",
    "projects:delete",
    "translations:write",
    "transcription:read",
    "transcription:write",
    "subtitles:read",
    "subtitles:write",
    "tts:read",
    "tts:write",
    "voices:read",
    "voices:write",
    "images:read",
    "images:write",
    "thumbnails:read",
    "thumbnails:write",
    "folders:read",
    "folders:write",
    "glossary:read",
    "glossary:write",
    "webhooks:read",
    "webhooks:write",
    "publishing:read",
    "publishing:write",
    "openid",
    "email",
    "offline_access"
  ],
  "claims_supported": ["sub", "iss", "aud", "iat", "exp", "nonce", "email", "email_verified"],
  "authorization_response_iss_parameter_supported": true,
  "client_id_metadata_document_supported": true
}
```

## Antwoordheaders

```json theme={null}
{
  "Cache-Control": "no-store"
}
```

## Opmerkingen bij de bewerking

* OpenID Connect-endpoints geven HTTP 404 terug wanneer identiteitsintegratie in deze omgeving niet beschikbaar is. Controleer discovery voordat je op identiteitsfuncties vertrouwt.
* openid en email zijn identiteitsrechten, los van productrechten, en worden alleen geaccepteerd als ze worden vermeld. email vereist openid. Bij de eerste autorisatie gebruikt een verzoek met alleen identiteitsscopes de standaardproductrechten die op het toestemmingsscherm staan.

## Fouten

| HTTP-status | Code | Betekenis of herstel |
| - | - | - |
| 404 | `Not Found` | OpenID Connect-endpoints geven HTTP 404 terug wanneer identiteitsintegratie in deze omgeving niet beschikbaar is. Controleer discovery voordat je op identiteitsfuncties vertrouwt. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.